Skip to main content
POST
Create a new WAAS policy for an environment or add new rules to an existing policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
rulesToAdd
object[]
required

Array of rules to add to the policy, will create policy if it doesn't exist

Response

WAAS policy created successfully

policyId
string
required

Unique identifier for the wallet policy

projectEnvironmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

createdAt
string<date-time>
required

ISO 8601 timestamp of when the policy was created

updatedAt
string<date-time>
required

ISO 8601 timestamp of when the policy was last updated

policyContent
object[]
required

List of policy rule objects defining allowed or denied wallet operations

message
string

Message describing the operation result

Last modified on January 28, 2026